SerializableTSFilter (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.d4sreporting.common.shared
Class SerializableTSFilter

    java.lang.Object
      org.gcube.portlets.d4sreporting.common.shared.SerializableTSFilter

All Implemented Interfaces:
  Serializable

    public class SerializableTSFilter

extends Object
implements Serializable

Author:
  Massimiilano Assante
See Also:
  Serialized Form

Constructor Summary
`SerializableTSFilter()`
`SerializableTSFilter(List<Integer> colsNumberToShow, HashMap<String,List<String>> differentFromColumnFilters, HashMap<String,List<String>> equalsToColumnFilters, int from, int to)`

Method Summary
`List<Integer>` | `getColsNumberToShow()`
`HashMap<String,List<String>>` | `getDifferentFromColumnFilters()`
`HashMap<String,List<String>>` | `getEqualsToColumnFilters()`
`int` | `getFrom()`
`int` | `getTo()`
`void` | `setColsNumberToShow(List<Integer> colsNumberToShow)`
`void` | `setDifferentFromColumnFilters(HashMap<String,List<String>> differentFromColumnFilters)`
`void` | `setEqualsToColumnFilters(HashMap<String,List<String>> equalsToColumnFilters)`
`void` | `setFrom(int from)`
`void` | `setTo(int to)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableTSFilter

    public SerializableTSFilter()

### SerializableTSFilter

    public SerializableTSFilter(List<Integer> colsNumberToShow,
                                HashMap<String,List<String>> differentFromColumnFilters,
                                HashMap<String,List<String>> equalsToColumnFilters,
                                int from,
                                int to)

Parameters:
  `colsNumberToShow` - .
  `differentFromColumnFilters` - .
  `equalsToColumnFilters` - .
  `from` - .
  `to` - .

Method Detail

### getFrom

    public int getFrom()

  Returns:
    .

### setFrom

    public void setFrom(int from)

  Parameters:
    `from` - .

### getTo

    public int getTo()

  Returns:
    .

### setTo

    public void setTo(int to)

  Parameters:
    `to` - .

### getColsNumberToShow

    public List<Integer> getColsNumberToShow()

  Returns:
    .

### setColsNumberToShow

    public void setColsNumberToShow(List<Integer> colsNumberToShow)

  Parameters:
    `colsNumberToShow` - .

### getEqualsToColumnFilters

    public HashMap<String,List<String>> getEqualsToColumnFilters()

  Returns:
    .

### setEqualsToColumnFilters

    public void setEqualsToColumnFilters(HashMap<String,List<String>> equalsToColumnFilters)

  Parameters:
    `equalsToColumnFilters` - .

### getDifferentFromColumnFilters

    public HashMap<String,List<String>> getDifferentFromColumnFilters()

  Returns:
    .

### setDifferentFromColumnFilters

    public void setDifferentFromColumnFilters(HashMap<String,List<String>> differentFromColumnFilters)

  Parameters:
    `differentFromColumnFilters` - .

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.